Package org.eclipse.rdf4j.federated.evaluation.iterator

## Class GraphToBindingSetConversionIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<BindingSet,​QueryEvaluationException>
  - - org.eclipse.rdf4j.federated.evaluation.iterator.GraphToBindingSetConversionIteration

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<BindingSet,​QueryEvaluationException>`, `Iteration<BindingSet,​QueryEvaluationException>`

      public class GraphToBindingSetConversionIteration
      extends AbstractCloseableIteration<BindingSet,​QueryEvaluationException>

  Converts graph results into a binding set iteration
  Author:
    Andreas Schwarte

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected GraphQueryResult` | `graph` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GraphToBindingSetConversionIteration​(GraphQueryResult graph)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected BindingSet` | `convert​(Statement st)` |
    `boolean` | `hasNext()` | Returns true if the iteration has more elements.
    `BindingSet` | `next()` | Returns the next element in the iteration.
    `void` | `remove()` | Removes from the underlying collection the last element returned by the iteration (optional operation).

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, handleClose, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Field Detail

    - #### graph

          protected final GraphQueryResult graph

  - ### Constructor Detail

    - #### GraphToBindingSetConversionIteration

          public GraphToBindingSetConversionIteration​(GraphQueryResult graph)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()
                          throws QueryEvaluationException

      Description copied from interface: `Iteration`
      Returns true if the iteration has more elements. (In other words, returns true if `Iteration.next()` would return an element rather than throwing a NoSuchElementException.)
      Returns:
        true if the iteration has more elements.
      Throws:
        `QueryEvaluationException`

    - #### next

          public BindingSet next()
                          throws QueryEvaluationException

      Description copied from interface: `Iteration`
      Returns the next element in the iteration.
      Returns:
        the next element in the iteration.
      Throws:
        `QueryEvaluationException`

    - #### remove

          public void remove()
                      throws QueryEvaluationException

      Description copied from interface: `Iteration`
      Removes from the underlying collection the last element returned by the iteration (optional operation). This method can be called only once per call to next.
      Throws:
        `QueryEvaluationException`

    - #### convert

          protected BindingSet convert​(Statement st)